View Issue Details

IDProjectCategoryView StatusLast Update
0015218MediaMonkey for AndroidDBpublic2019-02-22 00:16
Reportermartin 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.3 
Target Version1.3.4Fixed in Version1.3.4 
Summary0015218: Crash during sync causes corrupted database
Descriptionhttps://www.mediamonkey.com/forum/viewtopic.php?f=21&t=92447&p=452483&hilit=15218#p452483

Userlog after crash:
https://rink.hockeyapp.net/manage/apps/66872/app_versions/353/crashes/21560745124

Exception during wifi-sync
https://rink.hockeyapp.net/manage/apps/66872/app_versions/353/crashes/21560683003

Db was corrupted,
https://rink.hockeyapp.net/manage/apps/66872/app_versions/353/crashes/21560690715
TagsNo tags attached.
Fixed in build844

Activities

martin

2018-12-10 20:07

developer   ~0051728

I am not able to replicate it, but I have improved code to avoid this situation.
Fixed in build 1.3.4.844

peke

2019-01-10 04:12

developer   ~0052020

Verified 865 No regressions tried all simulated crashes I can find even force kills of MMA APP

peke

2019-02-22 00:16

developer   ~0052745

Re verified 849 after user report MMA crash and reset its settings during sync.

User SDCard broke and after restart of MMA he lost all SDcard tracks as expected.